<?php

# fonction de comparaison de 2 nombres
# IN : a et b
# OUT : 0 si a=b, 1 si a>b, 2 si a<b
function cmp_score($a,$b)
{
	if ($a==$b)
		return 0;
	
	if ($a>$b)
		return 1;
	else
		return 2;
}

# fonction mettant à jour les statistiques du match $MatchId dans la table MatchsStats
function update_Stats ($MatchId, $NouveauPari, $AncienPari)
{
	# récupération des statistiques concernant le match
	$stats =  db_fetch_array(main_db_query("SELECT * FROM MatchsStats WHERE MatchId='".$MatchId."'"));

	$newBet = explode("-",$NouveauPari);
	$newBet = cmp_score($newBet[0],$newBet[1]);
	
	# c'est la première fois que le joueur parie sur ce match, il suffit de prendre en compte
	# ce pari dans la table MatchsStats
	if ( $AncienPari == "" )
	{
		switch ($newBet)
		{
			case 0:
				main_db_query ("UPDATE MatchsStats SET NullGame='".($stats[NullGame]+1).
					"' WHERE MatchId='$MatchId'");
				return 0;
				break;
			case 1:
				main_db_query ("UPDATE MatchsStats SET Win1='".($stats[Win1]+1).
					"' WHERE MatchId='$MatchId'");
				return 0;
				break;
			case 2:
				main_db_query ("UPDATE MatchsStats SET Win2='".($stats[Win2]+1).
					"' WHERE MatchId='$MatchId'");
				return 0;
				break;
		}
	}
	# le joueur a déjà parié sur ce match, il faut donc supprimer son ancien pari des
	# statistiques avant de les mettre à jour
	else
	{
		$oldBet = explode("-",$AncienPari);
		$oldBet = cmp_score($oldBet[0],$oldBet[1]);
		
		# si le type de m'ancien pari et du nouveau sont les mêmes, il n'y a rien à faire
		if ($oldBet==$newBet)
		{
			return 0;
		}
		else
		{
			switch ($oldBet)
			{
				# le joueur avait parié sur un match nul, on décrémente donc le nombre de
				# paris sur un match nul 
				case 0:
					switch ($newBet)
					{
						case 1:
							main_db_query ("UPDATE MatchsStats SET NullGame='".($stats[NullGame]-1).
								"', Win1='".($stats[Win1]+1)."' WHERE MatchId='$MatchId'");
							return 0;
							break;
						case 2:
							main_db_query ("UPDATE MatchsStats SET NullGame='".($stats[NullGame]-1).
								"', Win2='".($stats[Win2]+1)."' WHERE MatchId='$MatchId'");
							return 0;
							break;
					}
					break;
				# le joueur avait parié sur la victoire de l'équipe 1, on décrémente donc le nombre
				# de paris sur la victoire de l'équipe 1
				case 1:
					switch ($newBet)
					{
						case 0:
							main_db_query ("UPDATE MatchsStats SET Win1='".($stats[Win1]-1)."', ".
								"NullGame='".($stats[NullGame]+1)."' WHERE MatchId='$MatchId'");
							return 0;
							break;
						case 2:
							main_db_query ("UPDATE MatchsStats SET Win1='".($stats[Win1]-1)."', ".
								"Win2='".($stats[Win2]+1)."' WHERE MatchId='$MatchId'");
							return 0;
							break;
					}
					break;
				# le joueur avait parié sur la victoire de l'équipe 2, on décrémente donc le nombre
				# de paris sur la victoire de l'équipe 2
				case 2:
					switch ($newBet)
					{
						case 0:
							main_db_query ("UPDATE MatchsStats SET Win2='".($stats[Win2]-1)."', ".
								"NullGame='".($stats[NullGame]+1)."' WHERE MatchId='$MatchId'");
							return 0;
							break;
						case 1:
							main_db_query ("UPDATE MatchsStats SET Win2='".($stats[Win2]-1)."', ".
								"Win1='".($stats[Win1]+1)."' WHERE MatchId='$MatchId'");
							return 0;
							break;
					}
					break;
			}
		}
	}
}

?>